UnfreezeBalanceV2
POST
Unstake some TRX staked in Stake 2.0, release the corresponding amount of bandwidth or energy, and voting rights (TP)
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
owner_addressstringrequired
Transaction initiator address. (Format: Base58 or Hex)unfreeze_balanceintegerrequired
Amount of TRX to unstake. (Unit: sun)resourcestringrequired
Type of resource. (Enum: "BANDWIDTH" or "ENERGY")Permission_idinteger
Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Responses
owner_addressstring
Transaction initiator address. (Format: Base58 or Hex)resourcestring
Type of resource. (Enum: BANDWIDTH, ENERGY)unfreeze_balanceinteger
Amount of TRX to unstake. (Unit: sun)codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "400"}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/unfreezebalancev2' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{}'